#!/bin/sh
cd /opt/mysql-install
cat << 'EOF' > /opt/mysql-install/autoremove.sh
#!/bin/sh

systemctl disable mysql
systemctl stop mysql
dpkg --purge mysql-community-server
dpkg --purge mysql-community-server-core
dpkg --purge libaio1:amd64
dpkg --purge libmecab2:amd64
dpkg --purge mysql-client
dpkg --purge mysql-community-client
dpkg --purge mysql-community-client-core
dpkg --purge libmysqlclient-dev
dpkg --purge libmysqlclient21
dpkg --purge mysql-community-client-plugins
dpkg --purge mysql-common
rm -rf /var/log/mysql /var/run/mysqld /etc/mysql /opt/mysql-install/autoremove.sh
dpkg --purge mysqlauto
EOF
sudo chmod +x /opt/mysql-install/autoremove.sh

sudo dpkg -i mysql-common_8.0.33-1ubuntu18.04_amd64.deb
sudo debconf-set-selections < mysql-debconf-selections.config
# sudo dpkg-preconfigure mysql-community-server_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i mysql-community-client-plugins_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i libmysqlclient21_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i libmysqlclient-dev_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i mysql-community-client-core_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i mysql-community-client_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i mysql-client_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i libmecab2_0.996-5_amd64.deb
sudo dpkg -i libaio1_0.3.110-5_amd64.deb
sudo dpkg -i mysql-community-server-core_8.0.33-1ubuntu18.04_amd64.deb
sudo dpkg -i mysql-community-server_8.0.33-1ubuntu18.04_amd64.deb

# 新建数据库和外部访问用户
MYSQL_HOST="localhost"
MYSQL_USER="root"
MYSQL_PASSWORD="mysql"
# 创建数据库 m4
mysql -h $MYSQL_HOST -u $MYSQL_USER -p$MYSQL_PASSWORD -e "CREATE DATABASE IF NOT EXISTS m4;"
# 创建用户 sr 并授权
mysql -h $MYSQL_HOST -u $MYSQL_USER -p$MYSQL_PASSWORD -e "CREATE USER 'sr'@'%' IDENTIFIED BY 'seer';"
mysql -h $MYSQL_HOST -u $MYSQL_USER -p$MYSQL_PASSWORD -e "GRANT ALL PRIVILEGES ON m4.* TO 'sr'@'%';"
mysql -h $MYSQL_HOST -u $MYSQL_USER -p$MYSQL_PASSWORD -e "GRANT SELECT ON performance_schema.replication_group_members TO 'sr'@'%';"
mysql -h $MYSQL_HOST -u $MYSQL_USER -p$MYSQL_PASSWORD -e "FLUSH PRIVILEGES;"

sudo rm -f mysql-debconf-selections.config autoinstall.sh
echo --------------------------------------------------------
echo Everthing is ready,Surperuser 'root'@'localhost' password 'mysql';
echo Default database 'm4',database user 'sr'@'%' password 'seer';
echo --------------------------------------------------------
echo If you want to uninstall MySQL automatically:
echo sudo /opt/mysql-install/autoremove.sh THEN PRESS ENTER
echo --------------------------------------------------------

